package apf.model;

/**
 * Die Beschreibung des Typs hier eingeben.
 * Erstellungsdatum: (03.07.2002 15:04:24)
 * @author: Manuel Krger
 */
public class Fractal implements java.beans.PropertyChangeListener {
//	
	private int fieldDeep  = 64;
	private int fieldLimit =  4;
	private int fieldXmax = 1280;
	private int fieldYmax =  960;
	private int[] fieldPixels = new int [fieldXmax * fieldYmax];
//	
	// 4 Raumachsen 
//	
	private double fieldCr_von   = - 0.75 ; // - 0.75 bis 2.25 = 3 
	private double fieldCr_bis   =   2.25 ;
	private double fieldCi_von   = - 1.25 ; // - 1.25 bis 1.25 = 2.5 
	private double fieldCi_bis   =   1.25 ;
	private double fieldCr_const =   0.78 ; // 0.00 ; (0.75,0.20) sollte eine SCHNE Julia-Menge sein	
	private double fieldCi_const =   0.15 ; // 0.00 ;
	private double fieldZr_von   = - 2.00 ; // - 2.00 bis 2.00 = 4 
	private double fieldZr_bis   =   2.00 ;
	private double fieldZi_von   = - 2.00 ; // - 2.00 bis 2.00 = 4 
	private double fieldZi_bis   =   2.00 ;
	private double fieldZr_const =   0.00 ; // 0.40 ;
	private double fieldZi_const =   0.00 ; // 0.10 ;
//	
	private Achse fieldZr = new Achse();
	private Achse fieldZi = new Achse();
	private Achse fieldCr = new Achse();
	private Achse fieldCi = new Achse();
//	
//	Palette palette = new Palette();
//	
//	                       xy xz yz xw yw zw
//	Matrix m = new Matrix ( 0, 0, 0, 0, 0, 0);
//
	double n [][] ;
	private Achse fieldAchse_x = new Achse();
	private Achse fieldAchse_y = new Achse();
	private Achse fieldConst_1 = new Achse();
	private Achse fieldConst_2 = new Achse();
	protected transient java.beans.PropertyChangeSupport propertyChange;
	private boolean fieldRefresh = false;
	private double fieldW_xy = 0;
	private Matrix fieldMatrix = new Matrix();
	private Matrix ivjMatrix = null;
	private boolean ivjConnPtoP1Aligning = false;
	private Fractal ivjthisFractal = null;
	private java.lang.String fieldStatus = new String();
	private double fieldW_xw = 0;
	private double fieldW_xz = 0;
	private double fieldW_yw = 0;
	private double fieldW_yz = 0;
	private double fieldW_zw = 0;
	private boolean ivjConnPtoP3Aligning = false;
	private boolean ivjConnPtoP4Aligning = false;
	private boolean ivjConnPtoP5Aligning = false;
	private boolean ivjConnPtoP6Aligning = false;
	private boolean ivjConnPtoP7Aligning = false;
	private boolean ivjConnPtoP8Aligning = false;
	//
	private Palette fieldPalette = new Palette();
/**
 * Fractal - Konstruktorkommentar.
 */
public Fractal() {
	super();
	initialize();
}
/**
 * Die Methode addPropertyChangeListener wurde zur Untersttzung des Feldes propertyChange generiert.
 */
public synchronized void addPropertyChangeListener(java.beans.PropertyChangeListener listener) {
	getPropertyChange().addPropertyChangeListener(listener);
}
/**
 * Die Methode addPropertyChangeListener wurde zur Untersttzung des Feldes propertyChange generiert.
 */
public synchronized void addPropertyChangeListener(java.lang.String propertyName, java.beans.PropertyChangeListener listener) {
	getPropertyChange().addPropertyChangeListener(propertyName, listener);
}
/**
 * Die Methode calculate ausfhren.
 * @param  x_Achse apf.model.Achse
 * @param  y_Achse apf.model.Achse
 * @param c1_Achse apf.model.Achse
 * @param c2_Achse apf.model.Achse
 */
 
public void calculate() {

	double dx , dy , xp , yp , Ci , Cr ;

	int r = 0 , g = 0 , b = 0 , f = 0 , i ;
	
	int index = 0 ;

	setStatus("calculate");

//	int Farben_max = palette.getAnzahl() ;
	int Farben_max = getPalette().getAnzahl() ;

	Palette palette = getPalette() ;
		
	dx = (getAchse_x().getBis() - getAchse_x().getVon()) / getXmax() ;
	dy = (getAchse_y().getBis() - getAchse_y().getVon()) / getYmax() ;
	
	getAchse_y().setValue(getAchse_y().getBis()) ; 
		
	for (int y = 0 ; y <  getYmax() ; y++){
		
		getAchse_x().setValue(getAchse_x().getVon()) ; 
			
		for (int x = 0 ; x < getXmax() ; x++){
 
			getConst_1().setValue(getConst_1().getConstant());
			getConst_2().setValue(getConst_2().getConstant());

			i = interation() ;
			
			if (i == 0) { // black 

				g = 0 ; r = g ; b = g ;

				f = 0xFF000000 + (r << 16) + (g << 8) + b ;
				
				fieldPixels [index++] = f ;	
				
			}
			else {	
						
				while (i > Farben_max - 1) {i = i - Farben_max ;}
				
				fieldPixels [index++] = palette.getColors(i) ;
			}
				
			getAchse_x().setValue(getAchse_x().getValue() + dx) ; // Cr = Cr + dx ;
		}
		
		getAchse_y().setValue(getAchse_y().getValue() - dy) ; // Ci = Ci - dy ;
	}
	setRefresh (!getRefresh());

	setStatus ("ready   ");
}
/**
 * Die Methode calculate ausfhren.
 * @param  x_Achse apf.model.Achse
 * @param  y_Achse apf.model.Achse
 * @param c1_Achse apf.model.Achse
 * @param c2_Achse apf.model.Achse
 */
 
public void calculate(Achse x_Achse, Achse y_Achse, Achse c1, Achse c2) {

	double dx , dy , xp , yp , Ci , Cr ;

	int r = 0 , g = 0 , b = 0 , f = 0 , i ;
	
	int index = 0 ;
		
	dx = (x_Achse.getBis() - x_Achse.getVon()) / getXmax() ;
	dy = (y_Achse.getBis() - y_Achse.getVon()) / getYmax() ;
	
	y_Achse.setValue(y_Achse.getBis()) ; // Ci = getIbis() ;
	
//	System.out.println ("depth, Cr_von, Cr_bis, Ci_von, Ci_bis: " + getDeep() + ", " +  getRvon() + ", " + getRbis() + ", " + getIvon() + ", " + getIbis());
	
	for (int y = 0 ; y <  getYmax() ; y++){
		
		x_Achse.setValue(x_Achse.getVon()) ; // Cr = getRvon() ;
			
		for (int x = 0 ; x < getXmax() ; x++){
 
			c1.setValue(c1.getConstant());
			c2.setValue(c2.getConstant());

			i = interation() ;
			
//			if (x == getXmax()/2 || y == getYmax()/2) g = 255 ;

			if (i == 0) { 

				g = 0 ; r = g ; b = g ;

				f = 0xFF000000 + (r << 16) + (g << 8) + b ;
				
				fieldPixels [index++] = f ;	
				
			}
			else {	
						
				while (i > 29) {i = i - 30 ;}
				
				fieldPixels [index++] = getPalette().getColors(i) ;
			}
				
			x_Achse.setValue(x_Achse.getValue() + dx) ; // Cr = Cr + dx ;
		}
		
		y_Achse.setValue(y_Achse.getValue() - dy) ; // Ci = Ci - dy ;
	} 
}
/**
 * connEtoM1:  (Fractal.w_xy --> Fractal.calculate()V)
 * @param arg1 java.beans.PropertyChangeEvent
 */
/* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
private void connEtoM1(java.beans.PropertyChangeEvent arg1) {
	try {
		// user code begin {1}
		// user code end
		getthisFractal().calculate();
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connEtoM2:  (Fractal.w_xy --> thisFractal.calculate()V)
 * @param arg1 java.beans.PropertyChangeEvent
 */
/* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
private void connEtoM2(java.beans.PropertyChangeEvent arg1) {
	try {
		// user code begin {1}
		// user code end
		getthisFractal().calculate();
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connEtoM3:  (Fractal.w_xz --> thisFractal.calculate()V)
 * @param arg1 java.beans.PropertyChangeEvent
 */
/* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
private void connEtoM3(java.beans.PropertyChangeEvent arg1) {
	try {
		// user code begin {1}
		// user code end
		getthisFractal().calculate();
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connEtoM4:  (Fractal.w_yw --> thisFractal.calculate()V)
 * @param arg1 java.beans.PropertyChangeEvent
 */
/* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
private void connEtoM4(java.beans.PropertyChangeEvent arg1) {
	try {
		// user code begin {1}
		// user code end
		getthisFractal().calculate();
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connEtoM5:  (Fractal.w_yz --> thisFractal.calculate()V)
 * @param arg1 java.beans.PropertyChangeEvent
 */
/* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
private void connEtoM5(java.beans.PropertyChangeEvent arg1) {
	try {
		// user code begin {1}
		// user code end
		getthisFractal().calculate();
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connEtoM6:  (Fractal.w_zw --> thisFractal.calculate()V)
 * @param arg1 java.beans.PropertyChangeEvent
 */
/* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
private void connEtoM6(java.beans.PropertyChangeEvent arg1) {
	try {
		// user code begin {1}
		// user code end
		getthisFractal().calculate();
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connPtoP1SetSource:  (Fractal.w_xy <--> Matrix.w_xy)
 */
/* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
private void connPtoP1SetSource() {
	/* Die Quelle des Zielobjekts definieren */
	try {
		if (ivjConnPtoP1Aligning == false) {
			// user code begin {1}
			// user code end
			ivjConnPtoP1Aligning = true;
			this.setW_xy(getMatrix().getW_xy());
			// user code begin {2}
			// user code end
			ivjConnPtoP1Aligning = false;
		}
	} catch (java.lang.Throwable ivjExc) {
		ivjConnPtoP1Aligning = false;
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connPtoP1SetTarget:  (Fractal.w_xy <--> Matrix.w_xy)
 */
/* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
private void connPtoP1SetTarget() {
	/* Das Ziel des Quellenobjekts definieren */
	try {
		if (ivjConnPtoP1Aligning == false) {
			// user code begin {1}
			// user code end
			ivjConnPtoP1Aligning = true;
			getMatrix().setW_xy(this.getW_xy());
			// user code begin {2}
			// user code end
			ivjConnPtoP1Aligning = false;
		}
	} catch (java.lang.Throwable ivjExc) {
		ivjConnPtoP1Aligning = false;
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connPtoP2SetTarget:  (Fractal.this <--> this12.this)
 */
/* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
private void connPtoP2SetTarget() {
	/* Das Ziel des Quellenobjekts definieren */
	try {
		setthisFractal(this);
		// user code begin {1}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connPtoP3SetSource:  (Fractal.w_xw <--> Matrix.w_xw)
 */
/* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
private void connPtoP3SetSource() {
	/* Die Quelle des Zielobjekts definieren */
	try {
		if (ivjConnPtoP3Aligning == false) {
			// user code begin {1}
			// user code end
			ivjConnPtoP3Aligning = true;
			this.setW_xw(getMatrix().getW_xw());
			// user code begin {2}
			// user code end
			ivjConnPtoP3Aligning = false;
		}
	} catch (java.lang.Throwable ivjExc) {
		ivjConnPtoP3Aligning = false;
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connPtoP3SetTarget:  (Fractal.w_xw <--> Matrix.w_xw)
 */
/* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
private void connPtoP3SetTarget() {
	/* Das Ziel des Quellenobjekts definieren */
	try {
		if (ivjConnPtoP3Aligning == false) {
			// user code begin {1}
			// user code end
			ivjConnPtoP3Aligning = true;
			getMatrix().setW_xw(this.getW_xw());
			// user code begin {2}
			// user code end
			ivjConnPtoP3Aligning = false;
		}
	} catch (java.lang.Throwable ivjExc) {
		ivjConnPtoP3Aligning = false;
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connPtoP4SetSource:  (Fractal.w_xy <--> Matrix.w_xy)
 */
/* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
private void connPtoP4SetSource() {
	/* Die Quelle des Zielobjekts definieren */
	try {
		if (ivjConnPtoP4Aligning == false) {
			// user code begin {1}
			// user code end
			ivjConnPtoP4Aligning = true;
			this.setW_xy(getMatrix().getW_xy());
			// user code begin {2}
			// user code end
			ivjConnPtoP4Aligning = false;
		}
	} catch (java.lang.Throwable ivjExc) {
		ivjConnPtoP4Aligning = false;
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connPtoP4SetTarget:  (Fractal.w_xy <--> Matrix.w_xy)
 */
/* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
private void connPtoP4SetTarget() {
	/* Das Ziel des Quellenobjekts definieren */
	try {
		if (ivjConnPtoP4Aligning == false) {
			// user code begin {1}
			// user code end
			ivjConnPtoP4Aligning = true;
			getMatrix().setW_xy(this.getW_xy());
			// user code begin {2}
			// user code end
			ivjConnPtoP4Aligning = false;
		}
	} catch (java.lang.Throwable ivjExc) {
		ivjConnPtoP4Aligning = false;
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connPtoP5SetSource:  (Fractal.w_xz <--> Matrix.w_xz)
 */
/* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
private void connPtoP5SetSource() {
	/* Die Quelle des Zielobjekts definieren */
	try {
		if (ivjConnPtoP5Aligning == false) {
			// user code begin {1}
			// user code end
			ivjConnPtoP5Aligning = true;
			this.setW_xz(getMatrix().getW_xz());
			// user code begin {2}
			// user code end
			ivjConnPtoP5Aligning = false;
		}
	} catch (java.lang.Throwable ivjExc) {
		ivjConnPtoP5Aligning = false;
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connPtoP5SetTarget:  (Fractal.w_xz <--> Matrix.w_xz)
 */
/* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
private void connPtoP5SetTarget() {
	/* Das Ziel des Quellenobjekts definieren */
	try {
		if (ivjConnPtoP5Aligning == false) {
			// user code begin {1}
			// user code end
			ivjConnPtoP5Aligning = true;
			getMatrix().setW_xz(this.getW_xz());
			// user code begin {2}
			// user code end
			ivjConnPtoP5Aligning = false;
		}
	} catch (java.lang.Throwable ivjExc) {
		ivjConnPtoP5Aligning = false;
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connPtoP6SetSource:  (Fractal.w_yw <--> Matrix.w_yw)
 */
/* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
private void connPtoP6SetSource() {
	/* Die Quelle des Zielobjekts definieren */
	try {
		if (ivjConnPtoP6Aligning == false) {
			// user code begin {1}
			// user code end
			ivjConnPtoP6Aligning = true;
			this.setW_yw(getMatrix().getW_yw());
			// user code begin {2}
			// user code end
			ivjConnPtoP6Aligning = false;
		}
	} catch (java.lang.Throwable ivjExc) {
		ivjConnPtoP6Aligning = false;
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connPtoP6SetTarget:  (Fractal.w_yw <--> Matrix.w_yw)
 */
/* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
private void connPtoP6SetTarget() {
	/* Das Ziel des Quellenobjekts definieren */
	try {
		if (ivjConnPtoP6Aligning == false) {
			// user code begin {1}
			// user code end
			ivjConnPtoP6Aligning = true;
			getMatrix().setW_yw(this.getW_yw());
			// user code begin {2}
			// user code end
			ivjConnPtoP6Aligning = false;
		}
	} catch (java.lang.Throwable ivjExc) {
		ivjConnPtoP6Aligning = false;
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connPtoP7SetSource:  (Fractal.w_yz <--> Matrix.w_yz)
 */
/* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
private void connPtoP7SetSource() {
	/* Die Quelle des Zielobjekts definieren */
	try {
		if (ivjConnPtoP7Aligning == false) {
			// user code begin {1}
			// user code end
			ivjConnPtoP7Aligning = true;
			this.setW_yz(getMatrix().getW_yz());
			// user code begin {2}
			// user code end
			ivjConnPtoP7Aligning = false;
		}
	} catch (java.lang.Throwable ivjExc) {
		ivjConnPtoP7Aligning = false;
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connPtoP7SetTarget:  (Fractal.w_yz <--> Matrix.w_yz)
 */
/* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
private void connPtoP7SetTarget() {
	/* Das Ziel des Quellenobjekts definieren */
	try {
		if (ivjConnPtoP7Aligning == false) {
			// user code begin {1}
			// user code end
			ivjConnPtoP7Aligning = true;
			getMatrix().setW_yz(this.getW_yz());
			// user code begin {2}
			// user code end
			ivjConnPtoP7Aligning = false;
		}
	} catch (java.lang.Throwable ivjExc) {
		ivjConnPtoP7Aligning = false;
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connPtoP8SetSource:  (Fractal.w_zw <--> Matrix.w_zw)
 */
/* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
private void connPtoP8SetSource() {
	/* Die Quelle des Zielobjekts definieren */
	try {
		if (ivjConnPtoP8Aligning == false) {
			// user code begin {1}
			// user code end
			ivjConnPtoP8Aligning = true;
			this.setW_zw(getMatrix().getW_zw());
			// user code begin {2}
			// user code end
			ivjConnPtoP8Aligning = false;
		}
	} catch (java.lang.Throwable ivjExc) {
		ivjConnPtoP8Aligning = false;
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connPtoP8SetTarget:  (Fractal.w_zw <--> Matrix.w_zw)
 */
/* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
private void connPtoP8SetTarget() {
	/* Das Ziel des Quellenobjekts definieren */
	try {
		if (ivjConnPtoP8Aligning == false) {
			// user code begin {1}
			// user code end
			ivjConnPtoP8Aligning = true;
			getMatrix().setW_zw(this.getW_zw());
			// user code begin {2}
			// user code end
			ivjConnPtoP8Aligning = false;
		}
	} catch (java.lang.Throwable ivjExc) {
		ivjConnPtoP8Aligning = false;
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * berprft die Gleichheit von zwei Objekten. Gibt einen booleschen Wert
 * zurck, um anzugeben, ob dieses Objekt quivalent zum angegebenen Objekt
 * ist. Diese Methode wird verwendet, wenn ein Objekt in einer Hash-Tabelle gespeichert wird.
 * @param obj das Objekt, mit dem verglichen werden soll
 * @return true, wenn diese Objekte gleich sein sollen; andernfalls false.
 * @see java.util.Hashtable
 */
public boolean equals(Object obj) {
	// Hier Code einfgen, um den Empfnger und obj zu vergleichen.
	// Diese Implementierung leitet die Nachricht an die Superkomponente weiter. Sie knnen dies ersetzen oder ergnzen.
	// HINWEIS: obj kann eine Instanz einer beliebigen Klasse sein.
	return super.equals(obj);
}
/**
 * Die Methode firePropertyChange wurde zur Untersttzung des Feldes propertyChange generiert.
 */
public void firePropertyChange(java.beans.PropertyChangeEvent evt) {
	getPropertyChange().firePropertyChange(evt);
}
/**
 * Die Methode firePropertyChange wurde zur Untersttzung des Feldes propertyChange generiert.
 */
public void firePropertyChange(java.lang.String propertyName, int oldValue, int newValue) {
	getPropertyChange().firePropertyChange(propertyName, oldValue, newValue);
}
/**
 * Die Methode firePropertyChange wurde zur Untersttzung des Feldes propertyChange generiert.
 */
public void firePropertyChange(java.lang.String propertyName, java.lang.Object oldValue, java.lang.Object newValue) {
	getPropertyChange().firePropertyChange(propertyName, oldValue, newValue);
}
/**
 * Die Methode firePropertyChange wurde zur Untersttzung des Feldes propertyChange generiert.
 */
public void firePropertyChange(java.lang.String propertyName, boolean oldValue, boolean newValue) {
	getPropertyChange().firePropertyChange(propertyName, oldValue, newValue);
}
/**
 * Ruft den Eigenschaftswert achse_x (apf.model.Achse) ab.
 * @return Der Eigenschaftswert achse_x.
 * @see #setAchse_x
 */
public Achse getAchse_x() {
	return fieldAchse_x;
}
/**
 * Ruft den Eigenschaftswert achse_y (apf.model.Achse) ab.
 * @return Der Eigenschaftswert achse_y.
 * @see #setAchse_y
 */
public Achse getAchse_y() {
	return fieldAchse_y;
}
/**
 * Ruft den Eigenschaftswert ci (apf.model.Achse) ab.
 * @return Der Eigenschaftswert ci.
 * @see #setCi
 */
public Achse getCi() {
	return fieldCi;
}
/**
 * Ruft den Eigenschaftswert ci_bis (double) ab.
 * @return Der Eigenschaftswert ci_bis.
 * @see #setCi_bis
 */
public double getCi_bis() {
	return fieldCi_bis;
}
/**
 * Ruft den Eigenschaftswert ci_const (double) ab.
 * @return Der Eigenschaftswert ci_const.
 * @see #setCi_const
 */
public double getCi_const() {
	return fieldCi_const;
}
/**
 * Ruft den Eigenschaftswert ci_von (double) ab.
 * @return Der Eigenschaftswert ci_von.
 * @see #setCi_von
 */
public double getCi_von() {
	return fieldCi_von;
}
/**
 * Ruft den Eigenschaftswert const_1 (apf.model.Achse) ab.
 * @return Der Eigenschaftswert const_1.
 * @see #setConst_1
 */
public Achse getConst_1() {
	return fieldConst_1;
}
/**
 * Ruft den Eigenschaftswert const_2 (apf.model.Achse) ab.
 * @return Der Eigenschaftswert const_2.
 * @see #setConst_2
 */
public Achse getConst_2() {
	return fieldConst_2;
}
/**
 * Ruft den Eigenschaftswert cr (apf.model.Achse) ab.
 * @return Der Eigenschaftswert cr.
 * @see #setCr
 */
public Achse getCr() {
	return fieldCr;
}
/**
 * Ruft den Eigenschaftswert cr_bis (double) ab.
 * @return Der Eigenschaftswert cr_bis.
 * @see #setCr_bis
 */
public double getCr_bis() {
	return fieldCr_bis;
}
/**
 * Ruft den Eigenschaftswert cr_const (double) ab.
 * @return Der Eigenschaftswert cr_const.
 * @see #setCr_const
 */
public double getCr_const() {
	return fieldCr_const;
}
/**
 * Ruft den Eigenschaftswert cr_von (double) ab.
 * @return Der Eigenschaftswert cr_von.
 * @see #setCr_von
 */
public double getCr_von() {
	return fieldCr_von;
}
/**
 * Ruft den Eigenschaftswert deep (int) ab.
 * @return Der Eigenschaftswert deep.
 * @see #setDeep
 */
public int getDeep() {
	return fieldDeep;
}
/**
 * Die Beschreibung der Methode hier eingeben.
 * Erstellungsdatum: (04.07.2002 10:58:46)
 * @return int[]
 */
public int[] getFieldPixels() {
	return fieldPixels;
}
/**
 * Ruft den Eigenschaftswert limit (int) ab.
 * @return Der Eigenschaftswert limit.
 * @see #setLimit
 */
public int getLimit() {
	return fieldLimit;
}
/**
 * Ruft den Eigenschaftswert matrix (apf.model.Matrix) ab.
 * @return Der Eigenschaftswert matrix.
 * @see #setMatrix
 */
public Matrix getMatrix() {
	if (ivjMatrix == null) {
		try {
			ivjMatrix = new apf.model.Matrix();
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjMatrix;
}
/**
 * Ruft den Eigenschaftswert palette (apf.model.Palette) ab.
 * @return Der Eigenschaftswert palette.
 * @see #setPalette
 */
public Palette getPalette() {
	return fieldPalette;
}
/**
 * Accessor fr das Feld propertyChange.
 */
protected java.beans.PropertyChangeSupport getPropertyChange() {
	if (propertyChange == null) {
		propertyChange = new java.beans.PropertyChangeSupport(this);
	};
	return propertyChange;
}
/**
 * Ruft den Eigenschaftswert refresh (boolean) ab.
 * @return Der Eigenschaftswert refresh.
 * @see #setRefresh
 */
public boolean getRefresh() {
	return fieldRefresh;
}
/**
 * Ruft den Eigenschaftswert status (java.lang.String) ab.
 * @return Der Eigenschaftswert status.
 * @see #setStatus
 */
public java.lang.String getStatus() {
	return fieldStatus;
}
/**
 * Den Eigenschaftswert this12 zurckgeben.
 * @return apf.model.Fractal
 */
/* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
private Fractal getthisFractal() {
	// user code begin {1}
	// user code end
	return ivjthisFractal;
}
/**
 * Ruft den Eigenschaftswert w_xw (double) ab.
 * @return Der Eigenschaftswert w_xw.
 * @see #setW_xw
 */
public double getW_xw() {
	return fieldW_xw;
}
/**
 * Ruft den Eigenschaftswert w_xy (double) ab.
 * @return Der Eigenschaftswert w_xy.
 * @see #setW_xy
 */
public double getW_xy() {
	return fieldW_xy;
}
/**
 * Ruft den Eigenschaftswert w_xz (double) ab.
 * @return Der Eigenschaftswert w_xz.
 * @see #setW_xz
 */
public double getW_xz() {
	return fieldW_xz;
}
/**
 * Ruft den Eigenschaftswert w_yw (double) ab.
 * @return Der Eigenschaftswert w_yw.
 * @see #setW_yw
 */
public double getW_yw() {
	return fieldW_yw;
}
/**
 * Ruft den Eigenschaftswert w_yz (double) ab.
 * @return Der Eigenschaftswert w_yz.
 * @see #setW_yz
 */
public double getW_yz() {
	return fieldW_yz;
}
/**
 * Ruft den Eigenschaftswert w_zw (double) ab.
 * @return Der Eigenschaftswert w_zw.
 * @see #setW_zw
 */
public double getW_zw() {
	return fieldW_zw;
}
/**
 * Ruft den Eigenschaftswert xmax (int) ab.
 * @return Der Eigenschaftswert xmax.
 * @see #setXmax
 */
public int getXmax() {
	return fieldXmax;
}
/**
 * Ruft den Eigenschaftswert ymax (int) ab.
 * @return Der Eigenschaftswert ymax.
 * @see #setYmax
 */
public int getYmax() {
	return fieldYmax;
}
/**
 * Ruft den Eigenschaftswert zi (apf.model.Achse) ab.
 * @return Der Eigenschaftswert zi.
 * @see #setZi
 */
public Achse getZi() {
	return fieldZi;
}
/**
 * Ruft den Eigenschaftswert zi_bis (double) ab.
 * @return Der Eigenschaftswert zi_bis.
 * @see #setZi_bis
 */
public double getZi_bis() {
	return fieldZi_bis;
}
/**
 * Ruft den Eigenschaftswert zi_const (double) ab.
 * @return Der Eigenschaftswert zi_const.
 * @see #setZi_const
 */
public double getZi_const() {
	return fieldZi_const;
}
/**
 * Ruft den Eigenschaftswert zi_von (double) ab.
 * @return Der Eigenschaftswert zi_von.
 * @see #setZi_von
 */
public double getZi_von() {
	return fieldZi_von;
}
/**
 * Ruft den Eigenschaftswert zr (apf.model.Achse) ab.
 * @return Der Eigenschaftswert zr.
 * @see #setZr
 */
public Achse getZr() {
	return fieldZr;
}
/**
 * Ruft den Eigenschaftswert zr_bis (double) ab.
 * @return Der Eigenschaftswert zr_bis.
 * @see #setZr_bis
 */
public double getZr_bis() {
	return fieldZr_bis;
}
/**
 * Ruft den Eigenschaftswert zr_const (double) ab.
 * @return Der Eigenschaftswert zr_const.
 * @see #setZr_const
 */
public double getZr_const() {
	return fieldZr_const;
}
/**
 * Ruft den Eigenschaftswert zr_von (double) ab.
 * @return Der Eigenschaftswert zr_von.
 * @see #setZr_von
 */
public double getZr_von() {
	return fieldZr_von;
}
/**
 * Wird aufgerufen, wenn die Komponente eine Ausnahmebedingung bergibt.
 * @param exception java.lang.Throwable
 */
private void handleException(java.lang.Throwable exception) {

	/* Entfernen Sie den Kommentar fr die folgenden Zeilen, um nicht abgefangene Ausnahmebedingungen auf der Standardausgabeeinheit (stdout) auszugeben */
	// System.out.println("--------- NICHT ABGEFANGENE AUSNAHMEBEDINGUNG ---------");
	// exception.printStackTrace(System.out);
}
/**
 * Die Methode hasListeners wurde zur Untersttzung des Feldes propertyChange generiert.
 */
public synchronized boolean hasListeners(java.lang.String propertyName) {
	return getPropertyChange().hasListeners(propertyName);
}
/**
 * Die Methode init_CiZi ausfhren.
 */
 
public void init_CiZi() {

	setAchse_x (getCi());
	setAchse_y (getZi());

	setConst_1 (getCr());
	setConst_2 (getZr());

	calculate();
}
/**
 * Die Methode init_CiZr ausfhren.
 */

public void init_CiZr() {

	setAchse_x (getCi());
	setAchse_y (getZr());

	setConst_1 (getCr());
	setConst_2 (getZi());

	calculate();
}
/**
 * Die Methode init_CrCi ausfhren.
 */
 
public void init_CrCi() {
	
	setAchse_x (getCr());
	setAchse_y (getCi());

	setConst_1 (getZr());
	setConst_2 (getZi());

	calculate();
}
/**
 * Die Methode init_CrZi ausfhren.
 */
 
public void init_CrZi() {
	
	setAchse_x (getCr());
	setAchse_y (getZi());

	setConst_1 (getCi());
	setConst_2 (getZr());

	calculate();
}
/**
 * Die Methode init_CrZr ausfhren.
 */
 
public void init_CrZr() {

	setAchse_x (getCr());
	setAchse_y (getZr());

	setConst_1 (getCi());
	setConst_2 (getZi());

	calculate();
}
/**
 * Die Methode init_ZrZi ausfhren.
 */
 
public void init_ZrZi() {
	
	setAchse_x (getZr());
	setAchse_y (getZi());

	setConst_1 (getCr());
	setConst_2 (getCi());

	calculate();
}
/**
 * Initialisiert Verbindungen
 * @exception java.lang.Exception Die Beschreibung der Ausnahmebedingung.
 */
/* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
private void initConnections() throws java.lang.Exception {
	// user code begin {1}
	// user code end
	this.addPropertyChangeListener(this);
	getMatrix().addPropertyChangeListener(this);
	connPtoP1SetTarget();
	connPtoP2SetTarget();
	connPtoP3SetTarget();
	connPtoP4SetTarget();
	connPtoP5SetTarget();
	connPtoP6SetTarget();
	connPtoP7SetTarget();
	connPtoP8SetTarget();
}
/**
 * Die Klasse initialisieren.
 */
/* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
private void initialize() {
	try {
		// user code begin {1}
		reset();
		// user code end
		initConnections();
	} catch (java.lang.Throwable ivjExc) {
		handleException(ivjExc);
	}
	// user code begin {2}
	// user code end
}
/**
 * Die Methode interation ausfhren.
 */
 
public int interation() 
{
	double qZi , qZr ,Zi, Zr, Ci, Cr ;

	int i = 0 , deep = getDeep() ;

	int limit = getLimit() ;

	if	(n == null) n = new double [4][1] ;

	n [0][0] = getCr().getValue() ; 
	n [1][0] = getCi().getValue() ; 
	n [2][0] = getZr().getValue() ; 
	n [3][0] = getZi().getValue() ; // Ci

	if ((fieldW_xy != 0) || (fieldW_xz != 0) || (fieldW_yz != 0) || (fieldW_xw != 0) || (fieldW_yw != 0) || (fieldW_zw != 0))
	{
	
		n = getMatrix().rot(new double [][] {{getCr().getValue()},{getCi().getValue()},
			              			         {getZr().getValue()},{getZi().getValue()}}) ;
	}
	
	Cr = n [0][0] ; 
	Ci = n [1][0] ; 
	Zr = n [2][0] ; 
	Zi = n [3][0] ;
				
	do {

		qZi = Zi * Zi ;  
		qZr = Zr * Zr ;
	
		Zi = - Ci + (Zr *  Zi * 2) ;
		Zr = - Cr + qZr - qZi ;		

		if (qZr + qZi > limit) return i ;
			
	} while (i++ < deep);
	
	return 0 ;
}
/**
 * Startet die Anwendung.
 * @param args ein Array von Befehlszeilenargumenten
 */
public static void main(java.lang.String[] args) {

	Fractal fractal = new Fractal();

	// fractal.calculate();
}
/**
 * Methode fr die Bearbeitung von Ereignissen fr die Schnittstelle PropertyChangeListener.
 * @param evt java.beans.PropertyChangeEvent
 */
/* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
public void propertyChange(java.beans.PropertyChangeEvent evt) {
	// user code begin {1}
	// user code end
	if (evt.getSource() == this && (evt.getPropertyName().equals("w_xy"))) 
		connPtoP1SetTarget();
	if (evt.getSource() == getMatrix() && (evt.getPropertyName().equals("w_xy"))) 
		connPtoP1SetSource();
	if (evt.getSource() == this && (evt.getPropertyName().equals("w_xw"))) 
		connEtoM1(evt);
	if (evt.getSource() == this && (evt.getPropertyName().equals("w_xy"))) 
		connEtoM2(evt);
	if (evt.getSource() == this && (evt.getPropertyName().equals("w_xz"))) 
		connEtoM3(evt);
	if (evt.getSource() == this && (evt.getPropertyName().equals("w_yw"))) 
		connEtoM4(evt);
	if (evt.getSource() == this && (evt.getPropertyName().equals("w_yz"))) 
		connEtoM5(evt);
	if (evt.getSource() == this && (evt.getPropertyName().equals("w_zw"))) 
		connEtoM6(evt);
	if (evt.getSource() == this && (evt.getPropertyName().equals("w_xw"))) 
		connPtoP3SetTarget();
	if (evt.getSource() == getMatrix() && (evt.getPropertyName().equals("w_xw"))) 
		connPtoP3SetSource();
	if (evt.getSource() == this && (evt.getPropertyName().equals("w_xy"))) 
		connPtoP4SetTarget();
	if (evt.getSource() == getMatrix() && (evt.getPropertyName().equals("w_xy"))) 
		connPtoP4SetSource();
	if (evt.getSource() == this && (evt.getPropertyName().equals("w_xz"))) 
		connPtoP5SetTarget();
	if (evt.getSource() == getMatrix() && (evt.getPropertyName().equals("w_xz"))) 
		connPtoP5SetSource();
	if (evt.getSource() == this && (evt.getPropertyName().equals("w_yw"))) 
		connPtoP6SetTarget();
	if (evt.getSource() == getMatrix() && (evt.getPropertyName().equals("w_yw"))) 
		connPtoP6SetSource();
	if (evt.getSource() == this && (evt.getPropertyName().equals("w_yz"))) 
		connPtoP7SetTarget();
	if (evt.getSource() == getMatrix() && (evt.getPropertyName().equals("w_yz"))) 
		connPtoP7SetSource();
	if (evt.getSource() == this && (evt.getPropertyName().equals("w_zw"))) 
		connPtoP8SetTarget();
	if (evt.getSource() == getMatrix() && (evt.getPropertyName().equals("w_zw"))) 
		connPtoP8SetSource();
	// user code begin {2}
	// user code end
}
/**
 * Die Methode removePropertyChangeListener wurde zur Untersttzung des Feldes propertyChange generiert.
 */
public synchronized void removePropertyChangeListener(java.beans.PropertyChangeListener listener) {
	getPropertyChange().removePropertyChangeListener(listener);
}
/**
 * Die Methode removePropertyChangeListener wurde zur Untersttzung des Feldes propertyChange generiert.
 */
public synchronized void removePropertyChangeListener(java.lang.String propertyName, java.beans.PropertyChangeListener listener) {
	getPropertyChange().removePropertyChangeListener(propertyName, listener);
}
/**
 * Die Methode reset ausfhren.
 */
public void reset() {
	
	setDeep (64);
	setLimit (4);

	fieldZr.setVon(fieldZr_von) ;
	fieldZr.setBis(fieldZr_bis) ;
	
	fieldZi.setVon(fieldZi_von) ;
	fieldZi.setBis(fieldZi_bis) ;
	
	fieldCr.setVon(fieldCr_von) ;
	fieldCr.setBis(fieldCr_bis) ;
	
	fieldCi.setVon(fieldCi_von) ;
	fieldCi.setBis(fieldCi_bis) ;

	fieldZr.setConstant(fieldZr_const) ;
	fieldZi.setConstant(fieldZi_const) ;
	fieldCr.setConstant(fieldCr_const) ;
	fieldCi.setConstant(fieldCi_const) ;	

	fieldPalette.create(60,190) ;
	
//	palette.create(180,190) ;

	n = new double [4][1] ;
}
/**
 * Definiert den Eigenschaftswert achse_x (apf.model.Achse).
 * @param achse_x Der neue Wert fr die Eigenschaft.
 * @see #getAchse_x
 */
public void setAchse_x(Achse achse_x) {
	fieldAchse_x = achse_x;
}
/**
 * Definiert den Eigenschaftswert achse_y (apf.model.Achse).
 * @param achse_y Der neue Wert fr die Eigenschaft.
 * @see #getAchse_y
 */
public void setAchse_y(Achse achse_y) {
	fieldAchse_y = achse_y;
}
/**
 * Definiert den Eigenschaftswert ci (apf.model.Achse).
 * @param ci Der neue Wert fr die Eigenschaft.
 * @see #getCi
 */
public void setCi(Achse ci) {
	fieldCi = ci;
}
/**
 * Definiert den Eigenschaftswert ci_bis (double).
 * @param ci_bis Der neue Wert fr die Eigenschaft.
 * @see #getCi_bis
 */
public void setCi_bis(double ci_bis) {
	fieldCi_bis = ci_bis;
}
/**
 * Definiert den Eigenschaftswert ci_const (double).
 * @param ci_const Der neue Wert fr die Eigenschaft.
 * @see #getCi_const
 */
public void setCi_const(double ci_const) {
	fieldCi_const = ci_const;
}
/**
 * Definiert den Eigenschaftswert ci_von (double).
 * @param ci_von Der neue Wert fr die Eigenschaft.
 * @see #getCi_von
 */
public void setCi_von(double ci_von) {
	fieldCi_von = ci_von;
}
/**
 * Definiert den Eigenschaftswert const_1 (apf.model.Achse).
 * @param const_1 Der neue Wert fr die Eigenschaft.
 * @see #getConst_1
 */
public void setConst_1(Achse const_1) {
	fieldConst_1 = const_1;
}
/**
 * Definiert den Eigenschaftswert const_2 (apf.model.Achse).
 * @param const_2 Der neue Wert fr die Eigenschaft.
 * @see #getConst_2
 */
public void setConst_2(Achse const_2) {
	fieldConst_2 = const_2;
}
/**
 * Definiert den Eigenschaftswert cr (apf.model.Achse).
 * @param cr Der neue Wert fr die Eigenschaft.
 * @see #getCr
 */
public void setCr(Achse cr) {
	fieldCr = cr;
}
/**
 * Definiert den Eigenschaftswert cr_bis (double).
 * @param cr_bis Der neue Wert fr die Eigenschaft.
 * @see #getCr_bis
 */
public void setCr_bis(double cr_bis) {
	fieldCr_bis = cr_bis;
}
/**
 * Definiert den Eigenschaftswert cr_const (double).
 * @param cr_const Der neue Wert fr die Eigenschaft.
 * @see #getCr_const
 */
public void setCr_const(double cr_const) {
	fieldCr_const = cr_const;
}
/**
 * Definiert den Eigenschaftswert cr_von (double).
 * @param cr_von Der neue Wert fr die Eigenschaft.
 * @see #getCr_von
 */
public void setCr_von(double cr_von) {
	fieldCr_von = cr_von;
}
/**
 * Definiert den Eigenschaftswert deep (int).
 * @param deep Der neue Wert fr die Eigenschaft.
 * @see #getDeep
 */
public void setDeep(int deep) {
	fieldDeep = deep;
}
/**
 * Die Beschreibung der Methode hier eingeben.
 * Erstellungsdatum: (04.07.2002 10:58:46)
 * @param newFieldPixels int[]
 */
public void setFieldPixels(int[] newFieldPixels) {
	fieldPixels = newFieldPixels;
}
/**
 * Definiert den Eigenschaftswert limit (int).
 * @param limit Der neue Wert fr die Eigenschaft.
 * @see #getLimit
 */
public void setLimit(int limit) {
	fieldLimit = limit;
}
/**
 * Definiert den Eigenschaftswert matrix (apf.model.Matrix).
 * @param matrix Der neue Wert fr die Eigenschaft.
 * @see #getMatrix
 */
public void setMatrix(Matrix matrix) {
	fieldMatrix = matrix;
}
/**
 * Definiert den Eigenschaftswert palette (apf.model.Palette).
 * @param palette Der neue Wert fr die Eigenschaft.
 * @see #getPalette
 */
public void setPalette(Palette palette) {
	Palette oldValue = fieldPalette;
	fieldPalette = palette;
	firePropertyChange("palette", oldValue, palette);
}
/**
 * Definiert den Eigenschaftswert refresh (boolean).
 * @param refresh Der neue Wert fr die Eigenschaft.
 * @see #getRefresh
 */
public void setRefresh(boolean refresh) {
	boolean oldValue = fieldRefresh;
	fieldRefresh = refresh;
	firePropertyChange("refresh", new Boolean(oldValue), new Boolean(refresh));
}
/**
 * Definiert den Eigenschaftswert status (java.lang.String).
 * @param status Der neue Wert fr die Eigenschaft.
 * @see #getStatus
 */
public void setStatus(java.lang.String status) {
	String oldValue = fieldStatus;
	fieldStatus = status;
	firePropertyChange("status", oldValue, status);
}
/**
 * Fr this12 einen neuen Wert definieren.
 * @param newValue apf.model.Fractal
 */
/* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
private void setthisFractal(Fractal newValue) {
	if (ivjthisFractal != newValue) {
		try {
			apf.model.Fractal oldValue = getthisFractal();
			ivjthisFractal = newValue;
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	};
	// user code begin {3}
	// user code end
}
/**
 * Definiert den Eigenschaftswert w_xw (double).
 * @param w_xw Der neue Wert fr die Eigenschaft.
 * @see #getW_xw
 */
public void setW_xw(double w_xw) {
	double oldValue = fieldW_xw;
	fieldW_xw = w_xw;
	firePropertyChange("w_xw", new Double(oldValue), new Double(w_xw));
}
/**
 * Definiert den Eigenschaftswert w_xy (double).
 * @param w_xy Der neue Wert fr die Eigenschaft.
 * @see #getW_xy
 */
public void setW_xy(double w_xy) {
	double oldValue = fieldW_xy;
	fieldW_xy = w_xy;
	firePropertyChange("w_xy", new Double(oldValue), new Double(w_xy));
}
/**
 * Definiert den Eigenschaftswert w_xz (double).
 * @param w_xz Der neue Wert fr die Eigenschaft.
 * @see #getW_xz
 */
public void setW_xz(double w_xz) {
	double oldValue = fieldW_xz;
	fieldW_xz = w_xz;
	firePropertyChange("w_xz", new Double(oldValue), new Double(w_xz));
}
/**
 * Definiert den Eigenschaftswert w_yw (double).
 * @param w_yw Der neue Wert fr die Eigenschaft.
 * @see #getW_yw
 */
public void setW_yw(double w_yw) {
	double oldValue = fieldW_yw;
	fieldW_yw = w_yw;
	firePropertyChange("w_yw", new Double(oldValue), new Double(w_yw));
}
/**
 * Definiert den Eigenschaftswert w_yz (double).
 * @param w_yz Der neue Wert fr die Eigenschaft.
 * @see #getW_yz
 */
public void setW_yz(double w_yz) {
	double oldValue = fieldW_yz;
	fieldW_yz = w_yz;
	firePropertyChange("w_yz", new Double(oldValue), new Double(w_yz));
}
/**
 * Definiert den Eigenschaftswert w_zw (double).
 * @param w_zw Der neue Wert fr die Eigenschaft.
 * @see #getW_zw
 */
public void setW_zw(double w_zw) {
	double oldValue = fieldW_zw;
	fieldW_zw = w_zw;
	firePropertyChange("w_zw", new Double(oldValue), new Double(w_zw));
}
/**
 * Definiert den Eigenschaftswert xmax (int).
 * @param xmax Der neue Wert fr die Eigenschaft.
 * @see #getXmax
 */
public void setXmax(int xmax) {
	fieldXmax = xmax;
}
/**
 * Definiert den Eigenschaftswert ymax (int).
 * @param ymax Der neue Wert fr die Eigenschaft.
 * @see #getYmax
 */
public void setYmax(int ymax) {
	fieldYmax = ymax;
}
/**
 * Definiert den Eigenschaftswert zi (apf.model.Achse).
 * @param zi Der neue Wert fr die Eigenschaft.
 * @see #getZi
 */
public void setZi(Achse zi) {
	fieldZi = zi;
}
/**
 * Definiert den Eigenschaftswert zi_bis (double).
 * @param zi_bis Der neue Wert fr die Eigenschaft.
 * @see #getZi_bis
 */
public void setZi_bis(double zi_bis) {
	fieldZi_bis = zi_bis;
}
/**
 * Definiert den Eigenschaftswert zi_const (double).
 * @param zi_const Der neue Wert fr die Eigenschaft.
 * @see #getZi_const
 */
public void setZi_const(double zi_const) {
	fieldZi_const = zi_const;
}
/**
 * Definiert den Eigenschaftswert zi_von (double).
 * @param zi_von Der neue Wert fr die Eigenschaft.
 * @see #getZi_von
 */
public void setZi_von(double zi_von) {
	fieldZi_von = zi_von;
}
/**
 * Definiert den Eigenschaftswert zr (apf.model.Achse).
 * @param zr Der neue Wert fr die Eigenschaft.
 * @see #getZr
 */
public void setZr(Achse zr) {
	fieldZr = zr;
}
/**
 * Definiert den Eigenschaftswert zr_bis (double).
 * @param zr_bis Der neue Wert fr die Eigenschaft.
 * @see #getZr_bis
 */
public void setZr_bis(double zr_bis) {
	fieldZr_bis = zr_bis;
}
/**
 * Definiert den Eigenschaftswert zr_const (double).
 * @param zr_const Der neue Wert fr die Eigenschaft.
 * @see #getZr_const
 */
public void setZr_const(double zr_const) {
	fieldZr_const = zr_const;
}
/**
 * Definiert den Eigenschaftswert zr_von (double).
 * @param zr_von Der neue Wert fr die Eigenschaft.
 * @see #getZr_von
 */
public void setZr_von(double zr_von) {
	fieldZr_von = zr_von;
}
/**
 * Gibt eine Zeichenfolge zurck, die den Wert dieses Objekts darstellt.
 * @return eine Zeichenfolgedarstellung des Empfngers
 */
public String toString() {
	// Hier Code einfgen, um den Empfnger auszugeben.
	// Diese Implementierung leitet die Nachricht an die Superkomponente weiter. Sie knnen dies ersetzen oder ergnzen.
	return super.toString();
}
}
