package apf.model;

import java.lang.Math.*;
import java.beans.*;

/**
 * Die Beschreibung des Typs hier eingeben.
 * Erstellungsdatum: (11.07.2002 08:16:16)
 * @author: Manuel Krger
 */
public class Matrix implements PropertyChangeListener {
	//	
	protected transient PropertyChangeSupport propertyChange;
	//
	private double[][] fieldMatrix = null;
	//
	private double fieldW_xy = 0;
	private double fieldW_xw = 0;
	//
	public double xy [][] ;
	public double xz [][] ;
	public double yz [][] ;
	public double xw [][] ;
	public double yw [][] ;
	public double zw [][] ;
	//
	private double fieldW_xz = 0;
	private double fieldW_yw = 0;
	private double fieldW_yz = 0;
	private double fieldW_zw = 0;
/**
 * Matrix - Konstruktorkommentar.
 */
public Matrix() {
	super();
	initialize();
}
/**
 * Matrix - Konstruktorkommentar.
 */

public Matrix(double w_xy, double w_xz, double w_yz, double w_xw, double w_yw, double w_zw) {
	
	super();

	initialize();
		
	init_xy (w_xy) ; // xy_plane Z-Achse
	init_xz (w_xz) ; // xz_plane Y-Achse
	init_yz (w_yz) ; // yz_plane X-Achse
	
	init_xw (w_xw) ; // xw_plane
	init_yw (w_yw) ; // yw_plane
	init_zw (w_zw) ; // zw_plane

	fieldMatrix = multi(xy,xz) ;

	fieldMatrix = multi(fieldMatrix,yz) ;
	fieldMatrix = multi(fieldMatrix,xw) ;
	fieldMatrix = multi(fieldMatrix,yw) ;
	fieldMatrix = multi(fieldMatrix,zw) ;

	// c = fieldMatrix ;
}
/**
 * Die Methode addPropertyChangeListener wurde zur Untersttzung des Feldes propertyChange generiert.
 */
public synchronized void addPropertyChangeListener(java.beans.PropertyChangeListener listener) {
	getPropertyChange().addPropertyChangeListener(listener);
}
/**
 * Die Methode addPropertyChangeListener wurde zur Untersttzung des Feldes propertyChange generiert.
 */
public synchronized void addPropertyChangeListener(String propertyName, java.beans.PropertyChangeListener listener) {
	getPropertyChange().addPropertyChangeListener(propertyName, listener);
}
/**
 * connEtoC1:  (Matrix.w_xy --> Matrix.matrix_W_xy1(D)V)
 * @param arg1 java.beans.PropertyChangeEvent
 */
/* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
private void connEtoC1(java.beans.PropertyChangeEvent arg1) {
	try {
		// user code begin {1}
		// user code end
		this.updateW_xy(this.getW_xy());
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connEtoC2:  (Matrix.w_xw --> Matrix.update_W_xw(D)V)
 * @param arg1 java.beans.PropertyChangeEvent
 */
/* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
private void connEtoC2(java.beans.PropertyChangeEvent arg1) {
	try {
		// user code begin {1}
		// user code end
		this.update_W_xw(this.getW_xw());
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connEtoC3:  (Matrix.w_xz --> Matrix.updateW_xz(D)V)
 * @param arg1 java.beans.PropertyChangeEvent
 */
/* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
private void connEtoC3(java.beans.PropertyChangeEvent arg1) {
	try {
		// user code begin {1}
		// user code end
		this.updateW_xz(this.getW_xz());
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connEtoC4:  (Matrix.w_yz --> Matrix.updateW_yz(D)V)
 * @param arg1 java.beans.PropertyChangeEvent
 */
/* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
private void connEtoC4(java.beans.PropertyChangeEvent arg1) {
	try {
		// user code begin {1}
		// user code end
		this.updateW_yz(this.getW_yz());
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connEtoC5:  (Matrix.w_yw --> Matrix.updateW_yw(D)V)
 * @param arg1 java.beans.PropertyChangeEvent
 */
/* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
private void connEtoC5(java.beans.PropertyChangeEvent arg1) {
	try {
		// user code begin {1}
		// user code end
		this.updateW_yw(this.getW_yw());
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connEtoC6:  (Matrix.w_zw --> Matrix.updateW_zw(D)V)
 * @param arg1 java.beans.PropertyChangeEvent
 */
/* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
private void connEtoC6(java.beans.PropertyChangeEvent arg1) {
	try {
		// user code begin {1}
		// user code end
		this.updateW_zw(this.getW_zw());
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * Die Methode create ausfhren.
 */
public void create() {

	init_xy (getW_xy()) ; // xy_plane Z-Achse
	init_xz (getW_xz()) ; // xz_plane Y-Achse
	init_yz (getW_yz()) ; // yz_plane X-Achse
	
	init_xw (getW_xw()) ; // xw_plane
	init_yw (getW_yw()) ; // yw_plane
	init_zw (getW_zw()) ; // zw_plane

	fieldMatrix = multi(xy,xz) ;

	fieldMatrix = multi(fieldMatrix,yz) ;
	fieldMatrix = multi(fieldMatrix,xw) ;
	fieldMatrix = multi(fieldMatrix,yw) ;
	fieldMatrix = multi(fieldMatrix,zw) ;
}
/**
 * berprft die Gleichheit von zwei Objekten. Gibt einen booleschen Wert
 * zurck, um anzugeben, ob dieses Objekt quivalent zum angegebenen Objekt
 * ist. Diese Methode wird verwendet, wenn ein Objekt in einer Hash-Tabelle gespeichert wird.
 * @param obj das Objekt, mit dem verglichen werden soll
 * @return true, wenn diese Objekte gleich sein sollen; andernfalls false.
 * @see java.util.Hashtable
 */
public boolean equals(Object obj) {
	// Hier Code einfgen, um den Empfnger und obj zu vergleichen.
	// Diese Implementierung leitet die Nachricht an die Superkomponente weiter. Sie knnen dies ersetzen oder ergnzen.
	// HINWEIS: obj kann eine Instanz einer beliebigen Klasse sein.
	return super.equals(obj);
}
/**
 * Die Methode firePropertyChange wurde zur Untersttzung des Feldes propertyChange generiert.
 */
public void firePropertyChange(java.beans.PropertyChangeEvent evt) {
	getPropertyChange().firePropertyChange(evt);
}
/**
 * Die Methode firePropertyChange wurde zur Untersttzung des Feldes propertyChange generiert.
 */
public void firePropertyChange(String propertyName, int oldValue, int newValue) {
	getPropertyChange().firePropertyChange(propertyName, oldValue, newValue);
}
/**
 * Die Methode firePropertyChange wurde zur Untersttzung des Feldes propertyChange generiert.
 */
public void firePropertyChange(String propertyName, Object oldValue, Object newValue) {
	getPropertyChange().firePropertyChange(propertyName, oldValue, newValue);
}
/**
 * Die Methode firePropertyChange wurde zur Untersttzung des Feldes propertyChange generiert.
 */
public void firePropertyChange(String propertyName, boolean oldValue, boolean newValue) {
	getPropertyChange().firePropertyChange(propertyName, oldValue, newValue);
}
/**
 * Ruft den Eigenschaftswert matrix (double[][]) ab.
 * @return Der Eigenschaftswert matrix.
 * @see #setMatrix
 */
public double[][] getMatrix() {
	return fieldMatrix;
}
/**
 * Accessor fr das Feld propertyChange.
 */
protected java.beans.PropertyChangeSupport getPropertyChange() {
	if (propertyChange == null) {
		propertyChange = new java.beans.PropertyChangeSupport(this);
	};
	return propertyChange;
}
/**
 * Ruft den Eigenschaftswert w_xw (double) ab.
 * @return Der Eigenschaftswert w_xw.
 * @see #setW_xw
 */
public double getW_xw() {
	return fieldW_xw;
}
/**
 * Ruft den Eigenschaftswert w_xy (double) ab.
 * @return Der Eigenschaftswert w_xy.
 * @see #setW_xy
 */
public double getW_xy() {
	return fieldW_xy;
}
/**
 * Ruft den Eigenschaftswert w_xz (double) ab.
 * @return Der Eigenschaftswert w_xz.
 * @see #setW_xz
 */
public double getW_xz() {
	return fieldW_xz;
}
/**
 * Ruft den Eigenschaftswert w_yw (double) ab.
 * @return Der Eigenschaftswert w_yw.
 * @see #setW_yw
 */
public double getW_yw() {
	return fieldW_yw;
}
/**
 * Ruft den Eigenschaftswert w_yz (double) ab.
 * @return Der Eigenschaftswert w_yz.
 * @see #setW_yz
 */
public double getW_yz() {
	return fieldW_yz;
}
/**
 * Ruft den Eigenschaftswert w_zw (double) ab.
 * @return Der Eigenschaftswert w_zw.
 * @see #setW_zw
 */
public double getW_zw() {
	return fieldW_zw;
}
/**
 * Wird aufgerufen, wenn die Komponente eine Ausnahmebedingung bergibt.
 * @param exception java.lang.Throwable
 */
private void handleException(java.lang.Throwable exception) {

	/* Entfernen Sie den Kommentar fr die folgenden Zeilen, um nicht abgefangene Ausnahmebedingungen auf der Standardausgabeeinheit (stdout) auszugeben */
	// System.out.println("--------- NICHT ABGEFANGENE AUSNAHMEBEDINGUNG ---------");
	// exception.printStackTrace(System.out);
}
/**
 * Generiert einen Hash-Code fr den Empfnger.
 * Diese Methode wird primr fr
 * Hash-Tabellen untersttzt, die z. B. in java.util zur Verfgung gestellt werden.
 * @return ein Integer-Hash-Code fr den Empfnger
 * @see java.util.Hashtable
 */
public int hashCode() {
	// Hier Code einfgen, um einen Hash-Code fr den Empfnger zu erstellen.
	// Diese Implementierung  leitet die Nachricht an die Superkomponente weiter. Sie knnen dies ersetzen oder ergnzen.
	// HINWEIS: wenn zwei Objekte gleich sind (equals(Object) gibt true zurck), mssen sie denselben Hash-Code aufweisen
	return super.hashCode();
}
/**
 * Die Methode hasListeners wurde zur Untersttzung des Feldes propertyChange generiert.
 */
public synchronized boolean hasListeners(String propertyName) {
	return getPropertyChange().hasListeners(propertyName);
}
/**
 * Die Methode init_xw ausfhren.
 * @return double[][]
 * @param w_xw double
 */
 
public double[][] init_xw(double w_xw) {
	
	// xw_plane
	
	fieldW_xw = w_xw ; 
	
	w_xw = w_xw * (2*Math.PI/360) ;

	double s_xw = Math.sin (w_xw) ;
	double c_xw = Math.cos (w_xw) ;

	double m[][]  = {{ c_xw ,    0 ,    0 ,-s_xw},
					 {    0 ,    1 ,    0 ,    0},
					 {    0 ,    0 ,    1 ,    0},
					 { s_xw ,    0 ,    0 , c_xw}};
	xw = m ;
		
	return m;
}
/**
 * Die Methode init_xy ausfhren.
 * @return double[][]
 * @param w_xy double
 */
 
public double[][] init_xy(double w_xy) {
	
	// xy_plane Z-Achse
	
	fieldW_xy = w_xy ;
	
	w_xy = w_xy * (2*Math.PI/360) ;

	double s_xy = Math.sin (w_xy) ;
	double c_xy = Math.cos (w_xy) ;
		                                       
	double m[][]  = {{ c_xy ,-s_xy ,    0 ,    0},
				  	 { s_xy , c_xy ,    0 ,    0},
  					 {    0 ,    0 ,    1 ,    0},
					 {    0 ,    0 ,    0 ,    1}};
	xy = m ;
	
	return m;
}
/**
 * Die Methode init_xz ausfhren.
 * @return double[][]
 * @param w_xz double
 */
 
public double[][] init_xz(double w_xz) {
	
	// xz_plane Y-Achse
	
	fieldW_xz = w_xz ;
	
	w_xz = w_xz * (2*Math.PI/360) ;

	double s_xz = Math.sin (w_xz) ;
	double c_xz = Math.cos (w_xz) ;

	double m[][]  = {{ c_xz ,    0 , s_xz ,    0},
					 {    0 ,    1 ,    0 ,    0},
					 {-s_xz ,    0 , c_xz ,    0},
					 {    0 ,    0 ,    0 ,    1}};
	xz = m ;
		
	return m ;
}
/**
 * Die Methode init_yw ausfhren.
 * @return double[][]
 * @param w_yw double
 */
 
public double[][] init_yw(double w_yw) {
	
	// yw_plane
	
	fieldW_yw = w_yw ;
	
	w_yw = w_yw * (2*Math.PI/360) ;

	double s_yw = Math.sin (w_yw) ;
	double c_yw = Math.cos (w_yw) ;
	
	double m[][]  = {{    1 ,    0 ,    0 ,    0},
					 {    0 , c_yw ,    0 , s_yw},
  					 {    0 ,    0 ,    1 ,    0},
					 {    0 ,-s_yw ,    0 , c_yw}};
	yw = m ;	
	
	return m;
}
/**
 * Die Methode init_yz ausfhren.
 * @return double[][]
 * @param w_yz double
 */
 
public double[][] init_yz(double w_yz) {

	// yx-plane Z-Achse
	 
	fieldW_yz = w_yz ;
	
	w_yz = w_yz * (2*Math.PI/360) ;

	double s_yz = Math.sin (w_yz) ;
	double c_yz = Math.cos (w_yz) ;
	
	double m[][]  = {{    1 ,    0 ,    0 ,    0},
					 {    0 , c_yz ,-s_yz ,    0},
  					 {    0 , s_yz , c_yz ,    0},
					 {    0 ,    0 ,    0 ,    1}};
	yz = m ;
	
	return m;
}
/**
 * Die Methode init_zw ausfhren.
 * @return double[][]
 * @param w_zw double
 */
 
public double[][] init_zw(double w_zw) {
	
	// zw_plane
	
	fieldW_zw = w_zw ;
	
	w_zw = w_zw * (2*Math.PI/360) ;

	double s_zw = Math.sin (w_zw) ;
	double c_zw = Math.cos (w_zw) ;
	
	double m[][]  = {{    1 ,    0 ,    0 ,    0},
					 {    0 ,    1 ,    0 ,    0},
					 {    0 ,    0 , c_zw , s_zw},
					 {    0 ,    0 ,-s_zw , c_zw}};
	zw = m ;

	return m;
}
/**
 * Initialisiert Verbindungen
 * @exception java.lang.Exception Die Beschreibung der Ausnahmebedingung.
 */
/* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
private void initConnections() throws java.lang.Exception {
	// user code begin {1}
	// user code end
	this.addPropertyChangeListener(this);
}
/**
 * Die Klasse initialisieren.
 */
/* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
private void initialize() {
	try {
		// user code begin {1}

		create();
	
		// user code end
		initConnections();
	} catch (java.lang.Throwable ivjExc) {
		handleException(ivjExc);
	}
	// user code begin {2}
	// user code end
}
/**
 * Startet die Anwendung.
 * @param args ein Array von Befehlszeilenargumenten
 */
public static void main(java.lang.String[] args) {

		
	Matrix m = new Matrix (90,0,0,0,0,0);
		
	double a [][] = {{ 1},
					 { 2},
					 { 3},
					 { 0}};
		
//    m.c = m.multi(a,m.c) ;


    double x [][] ;
	double n [][] ;
	
	x = new double [4][1] ; // ; = {{ 1},{ 2},{ 3},{ 0}};
	n = new double [4][1] ;

	n [0][0] = 1 ;//getCr().getValue() ;
	n [1][0] = 2 ;//getCi().getValue() ;
	n [2][0] = 3 ;//getZr().getValue() ;
	n [3][0] = 0 ;//getZi().getValue() ;

	x = m.rot(a) ;
  
	m.setW_xy(45) ;

	System.out.println (x [0][0]); //getCr().setValue(n [0][0]) ;
	System.out.println (x [1][0]); //getCi().setValue(n [0][1]) ;
	System.out.println (x [2][0]); //getZr().setValue(n [0][2]) ;
	System.out.println (x [3][0]); //getZi().setValue(n [0][3]) ;
	
}
/**
 * Die Beschreibung der Methode hier eingeben.
 * Erstellungsdatum: (11.07.2002 09:18:17)
 * @return double[][]
 */
public double[][] multi(double[][] a, double[][] b) {

	if (a == null || b == null) 
	{
		System.out.println ("Error in Matrix.multi -> a oder b = null");
		return null;
	}	

	int z_anzahl = a.length    ; //System.out.println ("Zeilen  c: " + z_anzahl) ; // m.c.length);
	int s_anzahl = a[0].length ; //System.out.println ("Spalten c: " + s_anzahl) ; // m.a[0].length);

	double c [][];
	
	c = new double [z_anzahl][s_anzahl];
		
	for (int s = 0; s < s_anzahl; s++){
		
		for (int z = 0; z < z_anzahl; z++){
			
			for (int i = 0; i < z_anzahl; i++){

				c [z][s] = c [z][s] + a [i][s] * b [z][i] ; // System.out.println (m.a[i][0]);
			}
			
			//System.out.println ("c(" + z + "," + s + ") = " + c [z][s]) ;
		}
		
		//System.out.println ();
	}

	return c ;
}
/**
 * Methode fr die Bearbeitung von Ereignissen fr die Schnittstelle PropertyChangeListener.
 * @param evt java.beans.PropertyChangeEvent
 */
/* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
public void propertyChange(java.beans.PropertyChangeEvent evt) {
	// user code begin {1}
	// user code end
	if (evt.getSource() == this && (evt.getPropertyName().equals("w_xy"))) 
		connEtoC1(evt);
	if (evt.getSource() == this && (evt.getPropertyName().equals("w_xw"))) 
		connEtoC2(evt);
	if (evt.getSource() == this && (evt.getPropertyName().equals("w_xz"))) 
		connEtoC3(evt);
	if (evt.getSource() == this && (evt.getPropertyName().equals("w_yz"))) 
		connEtoC4(evt);
	if (evt.getSource() == this && (evt.getPropertyName().equals("w_yw"))) 
		connEtoC5(evt);
	if (evt.getSource() == this && (evt.getPropertyName().equals("w_zw"))) 
		connEtoC6(evt);
	// user code begin {2}
	// user code end
}
/**
 * Die Methode removePropertyChangeListener wurde zur Untersttzung des Feldes propertyChange generiert.
 */
public synchronized void removePropertyChangeListener(java.beans.PropertyChangeListener listener) {
	getPropertyChange().removePropertyChangeListener(listener);
}
/**
 * Die Methode removePropertyChangeListener wurde zur Untersttzung des Feldes propertyChange generiert.
 */
public synchronized void removePropertyChangeListener(String propertyName, java.beans.PropertyChangeListener listener) {
	getPropertyChange().removePropertyChangeListener(propertyName, listener);
}
/**
 * Die Methode rot ausfhren.
 * @return double[][]
 * @param matrix double[][]
 */
 
public double[][] rot(double[][] matrix) {
	
	return multi(matrix,getMatrix());
}
/**
 * Die Methode rot ausfhren.
 * @return double[][]
 * @param matrix double[]
 * @param w_xy double
 * @param w_xz double
 * @param w_yz double
 * @param w_xw double
 * @param w_yw double
 * @param w_zw double
 */
 
public static double[][] rot(double[][] matrix, double w_xy, double w_xz, double w_yz, double w_xw, double w_yw, double w_zw) {
	
	
	
	return null;
}
/**
 * Definiert den Eigenschaftswert matrix (double[][]).
 * @param matrix Der neue Wert fr die Eigenschaft.
 * @see #getMatrix
 */
public void setMatrix(double[][] matrix) {
	fieldMatrix = matrix;
}
/**
 * Definiert den Eigenschaftswert w_xw (double).
 * @param w_xw Der neue Wert fr die Eigenschaft.
 * @see #getW_xw
 */
public void setW_xw(double w_xw) {
	double oldValue = fieldW_xw;
	fieldW_xw = w_xw;
	firePropertyChange("w_xw", new Double(oldValue), new Double(w_xw));
}
/**
 * Definiert den Eigenschaftswert w_xy (double).
 * @param w_xy Der neue Wert fr die Eigenschaft.
 * @see #getW_xy
 */
public void setW_xy(double w_xy) {
	double oldValue = fieldW_xy;
	fieldW_xy = w_xy;
	firePropertyChange("w_xy", new Double(oldValue), new Double(w_xy));
}
/**
 * Definiert den Eigenschaftswert w_xz (double).
 * @param w_xz Der neue Wert fr die Eigenschaft.
 * @see #getW_xz
 */
public void setW_xz(double w_xz) {
	double oldValue = fieldW_xz;
	fieldW_xz = w_xz;
	firePropertyChange("w_xz", new Double(oldValue), new Double(w_xz));
}
/**
 * Definiert den Eigenschaftswert w_yw (double).
 * @param w_yw Der neue Wert fr die Eigenschaft.
 * @see #getW_yw
 */
public void setW_yw(double w_yw) {
	double oldValue = fieldW_yw;
	fieldW_yw = w_yw;
	firePropertyChange("w_yw", new Double(oldValue), new Double(w_yw));
}
/**
 * Definiert den Eigenschaftswert w_yz (double).
 * @param w_yz Der neue Wert fr die Eigenschaft.
 * @see #getW_yz
 */
public void setW_yz(double w_yz) {
	double oldValue = fieldW_yz;
	fieldW_yz = w_yz;
	firePropertyChange("w_yz", new Double(oldValue), new Double(w_yz));
}
/**
 * Definiert den Eigenschaftswert w_zw (double).
 * @param w_zw Der neue Wert fr die Eigenschaft.
 * @see #getW_zw
 */
public void setW_zw(double w_zw) {
	double oldValue = fieldW_zw;
	fieldW_zw = w_zw;
	firePropertyChange("w_zw", new Double(oldValue), new Double(w_zw));
}
/**
 * Gibt eine Zeichenfolge zurck, die den Wert dieses Objekts darstellt.
 * @return eine Zeichenfolgedarstellung des Empfngers
 */
public String toString() {
	// Hier Code einfgen, um den Empfnger auszugeben.
	// Diese Implementierung leitet die Nachricht an die Superkomponente weiter. Sie knnen dies ersetzen oder ergnzen.
	return super.toString();
}
/**
 * Comment
 */
public void update_W_xw(double arg1) {

	System.out.println("neuer w_xw = " + getW_xw() + ", " + arg1);
	
	create();
}
/**
 * Comment
 */
public void updateW_xy(double arg1) {

	System.out.println("neuer w_xy = " + getW_xy() + ", " + arg1);

	create() ;
}
/**
 * Comment
 */
public void updateW_xz(double arg1) {

	System.out.println("neuer w_xz = " + getW_xz() + ", " + arg1);

	create();
}
/**
 * Comment
 */
public void updateW_yw(double arg1) {

	System.out.println("neuer w_yw = " + getW_yw() + ", " + arg1);
		
	create();
}
/**
 * Comment
 */
public void updateW_yz(double arg1) {

	System.out.println("neuer w_yz = " + getW_yz() + ", " + arg1);
		
	create();
}
/**
 * Comment
 */
public void updateW_zw(double arg1) {

	System.out.println("neuer w_zw = " + getW_zw() + ", " + arg1);
	
	create();
}
}
